Bug 208288 - slocate turned off, but file controlling it is not documented. /etc/updatedb.conf
slocate turned off, but file controlling it is not documented. /etc/updatedb....
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: slocate (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 13:54 EDT by jkinz
Modified: 2012-06-20 12:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jkinz 2006-09-27 13:54:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Build a clean install
2. Wait 1 or two days of uptime
3. use locate
4. try  to find out why the locate db wasn't updated by looking in the slocate
man page.
  
Actual results:
locate update db not updated, no info about /etc/updatedb.conf controlling this
process in the slocate man page


Expected results:
slocate man page should mention the updatedb.con file and the (5) updatedb.conf
mahe page should detail how//what the contenst of that file should be.


Additional info:
Comment 1 Miloslav Trmač 2006-09-29 04:26:56 EDT
Thanks for your report.

Although the information is not present in the man pages, it is quite easy to find:
| $ slocate  foo
| warning: slocate: could not open database: /var/lib/slocate/slocate.db: No
such file or directory
| warning: You need to run the 'updatedb' command (as root) to create the database.
| Please have a look at /etc/updatedb.conf to enable the daily cron job.

And in /etc/updatedb.conf:
| # To enable the updatedb in cron, set DAILY_UPDATE to yes
| DAILY_UPDATE=no
Comment 2 Miloslav Trmač 2006-09-29 04:44:50 EDT
I don't think this issue warrants a separate RHEL update, but I'll keep this
report open to allow adding the information to man pages if an RHEL update of
slocate is produced for other reasons.

If you are a RHEL customer and have an active support entitlement, please
contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.
Comment 3 jkinz 2006-09-29 11:45:28 EDT
The claim that the information is "Quite easily finadable" is patently untrue.

The message decribed by mitr never appeared on my install, because the 
file /var/lib/slocate/slocate.db did exist, and therefore the message:

| warning: slocate: could not open database: /var/lib/slocate/slocate.db: No
such file or directory
| warning: You need to run the 'updatedb' command (as root) to create the database.
| Please have a look at /etc/updatedb.conf to enable the daily cron job

never appeared.

Secondly - his claim that the user will find the controlling variable in the
file /etc/updatedb.conf is untrue since the user will not be aware of the files
existence in the case described above.  The user has no way to find out about
the file since its not documented anywhere.  (No - source code is not
documentation :-) )

how hard is it to add one line to a manpage?  If I had access to the RH source
tree I would add it myself.  Frankly - it took longer for mitr to write the
response to this bug here than it would to add:

'To run slocate on a daily basis edit the file /etc/updatedb.conf and change the
"no" in this line: DAILY_UPDATE=no  to a "yes"'

Further, a reference to a file in an error message that only shows up when a
system is broken in one specific way out of the many possible ways for it to be
broken is not documentation of the file's existence in any way shape or form.


Comment 4 Jiri Pallich 2012-06-20 12:03:58 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.